GET V1/Inventory.{ext}/AccountUtilities?accountNumber={accountNumber}&accountId={accountId}

This API is used to Get Account Utility Details by Account Number.
Mandatory Fields : accountNumberaccountNumber(Ex:-065458059131)

Request Information

URI Parameters

NameDescriptionTypeAdditional information
accountNumber

Indicates accountNumber(Ex:-065458059131)

string

Required

accountId

Indicates accountId(Ex:-123)

string

Default value is

ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

None.

Response Information

Resource Description

Returns Account Utility Details based on accountNumber

EMSResponseOfEMS.Inventory.Entities.AccountCharges
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Inventory.Entities.AccountCharges

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "AccountCharges",
  "response": {
    "accountChargeslist": [
      {
        "accountNumber": "sample string 1",
        "utilityType": "sample string 2",
        "chargeItemCode": "sample string 3",
        "chargeType": "sample string 4",
        "chargeItemDescription": "sample string 5",
        "chargeGroup": "sample string 6"
      },
      {
        "accountNumber": "sample string 1",
        "utilityType": "sample string 2",
        "chargeItemCode": "sample string 3",
        "chargeType": "sample string 4",
        "chargeItemDescription": "sample string 5",
        "chargeGroup": "sample string 6"
      }
    ]
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.